{$u-} { set system lex level }
{ name          type            pnum    parm words
stop            procedure       1       0x
address         function        2       1x
datecheck       function        3       2x
writedate       procedure       4       1x
validdate       function        5       1x
dayofweek       function        6       1x
checktype       function        7       1x
compactdisk     function        8       1x
loadgraf        procedure       9       2x
savegraf        procedure       10      2x
peek            function        11      1x
poke            procedure       12      2x
goleft          procedure       13      0x
goright         procedure       14      0x
goup            procedure       15      0x
godown          procedure       16      0x
gohome          procedure       17      0x
beep            procedure       18      0x
clreoln         procedure       19      0x
clreosc         procedure       20      0x
clrline         procedure       21      0x
clrscrn         procedure       22      0x
inverse         procedure       23      0x
normal          procedure       24      0x
mtoff           procedure       25      0x
mton            procedure       26      0x
curoff          procedure       27      0x
curon           procedure       28      0x
clearline       procedure       29      1x
displayblock    procedure       30      1x
freadln         procedure       31      1x
bye             procedure       32      0x
fillspace       procedure       33      2x
center          procedure       34      1x
promptat        procedure       35      3x
fwrite          procedure       36      1x
fprint          procedure       37      1x
fwritereal      procedure       38      3x
spacewait       function        39      0x
getcharu        function        40      0x
keypress        function        41      0x
getchar         function        42      0x
getroot         procedure       43      1x
setroot         procedure       44      1x
getpfx          procedure       45      1x
setpfx          procedure       46      1x
getdate         procedure       47      1x
setdate         procedure       48      1x
swaplevel       procedure       49      1x
setchain        procedure       50      1x
setcval         procedure       51      1x
getcval         procedure       52      1x
getfinfo        procedure       53      2x
setfinfo        procedure       54      2x
fileopen        function        55      1x
settype         procedure       56      2x
setfdate        procedure       57      2x
getvol          procedure       58      2x
getvnum         procedure       59      2x
getfullid       procedure       60      2x
filesize        function        61      1x
getsameid       procedure       62      1x
getcodename     procedure       63      1x
getcommand      procedure       64      2x
getachar        procedure       65      2x
shiftup         procedure       66      1x
bumpstrup       procedure       67      1x
inrange         function        68      3x
verified        function        69      1x
val             function        70      1x
value           function        71      1x
rvalue          function        72      1x
encrypta        procedure       73      3x
decrypta        procedure       74      3x
restart         procedure       75      0x
pascalarea      function        76      1x
vdirinfo        procedure       77      6x
csum            function        78      0x
csumii          function        79      2x
sine            function        80      2x
cosine          function        81      2x
tangant         function        82      2x
readtsect       function        83      5x
writetsect      function        84      5x
vtocread        function        85      3x
getsysinfo      procedure       86      3x
findf           function        87      1x
fetchdir        function        88      1x
dirsearch       function        89      3x
delentry        procedure       90      2x
insentry        procedure       91      3x
writedir        procedure       92      3x
volsearch       function        93      3x
eatspaces       procedure       94      1x
parse           procedure       95      6x
dateset         function        96      2x
dialt           procedure       97      3x
dialp           procedure       98      2x
onhook          procedure       99      0x
offhook         procedure       100     0x
eof             eofmark         0       0x
*
}
program pascalsystem; { system level program }

uses
  transcend,applestuff,turtlegraphics;
CONST
  {$i glbl.const.text }

TYPE
  {$i glbl.type.text }
  
  charset = set of char;

  var
    syscom: syscomptr;
    global: sysglblrec;
    
{
     If compiling these procedures for use on a host program, eliminate the
program procedure middle.  If they are going to be used in a unit, then leave
it here.
}
{ currently programming for host program level }
{*] program procedure middle; { user level program }

segment procedure pcode; { user level segment procedure }
label 2;


type
dtype = (cpm,dos,pas,pro,unknown);
BUFF    =       PACKED ARRAY[1..99,0..FBLKSIZE] OF CHAR;

  weekday = (invalid,   sunday,   monday, tuesday,
             wednesday, thursday, friday, saturday);
  

{$i pcode1.text }
{$i pcode2.text }
{$i pcode3.text }

(****************************************
 *                                      *
 *  Add more procedures here            *
 *                                      *
 ****************************************)
begin           { user level segment procedure }
  2:goto 2;
end;

{*] begin end;           { user level program }


begin           { system level program }
end.


